#include<bits/stdc++.h>
using namespace std;
int main()
{
	int q,n,k=0,m;
	long int a[100000],b[100000];
	scanf("%d%d",&n,&q);
	for(int i=0;i<n;i++)
	 scanf("%ld",&a[i]);
	for(int i=0;i<q;i++)
	 scanf("%ld",&b[i]);
	sort(a,a+n-1);
	m=n/2;
	for(int i=0;i<q;i++,k=0)
	{
		if(b[i]==a[m])
		 printf("0\n");
		else
		{
			if(b[i]<a[m])
			{
				while(b[i]<a[m-k] && k<=m)
				 k++;
				if(n%2==0)
				 printf("%d\n",2*k-1);
				else
				 printf("%d\n",2*k);
			}
			else
			{
				while(b[i]>a[m+k] && k+m<n)
				 k++;
				if(n%2==0)
				 printf("%d\n",2*k);
				else
				 printf("%d\n",2*k-1);
			}
		}
	} 
	return 0;
}